package org.example.designpatterns.command;

import org.example.designpatterns.command.commands.Cuenta;
import org.example.designpatterns.command.commands.DepositarImpl;
import org.example.designpatterns.command.commands.Invoker;
import org.example.designpatterns.command.commands.RetirarImpl;

public class App {
    public static void main(String[] args) {
        Cuenta cuenta = new Cuenta(1, 200);

        DepositarImpl depositar = new DepositarImpl(cuenta, 100);
        RetirarImpl retirar = new RetirarImpl(cuenta, 50);

        Invoker ivk = new Invoker();
        ivk.recibirOperacion(depositar);
        ivk.recibirOperacion(retirar);

        ivk.realizarOperaciones();
    }
}
