package org.example.designpatterns.dao;

import org.example.designpatterns.dao.dao.ICRUD;
import org.example.designpatterns.dao.dao.IPersonaDAO;
import org.example.designpatterns.dao.dao.MedicoDAOImpl;
import org.example.designpatterns.dao.dao.PersonaDAOImpl;
import org.example.designpatterns.dao.model.Medico;
import org.example.designpatterns.dao.model.Persona;

public class App {
    public static void main(String[] args) {
        ICRUD<Persona> daoPersona = new PersonaDAOImpl();
        daoPersona.listarTodos().forEach(x -> System.out.println(x.getNombres()));

        Persona per = new Persona();
        per.setNombres("Dao");
        daoPersona.registrar(per);

        ICRUD<Medico> daoMedico = new MedicoDAOImpl();
        daoMedico.listarTodos().forEach(x -> System.out.println(x.getNombres()));

        Medico med = new Medico();
        med.setNombres("Dr. Ponte");
        daoMedico.registrar(med);
    }
}
