package org.example.designpatterns.decorator;

import org.example.designpatterns.decorator.decorador.BlindajeDecorador;
import org.example.designpatterns.decorator.interfaces.ICuentaBancaria;
import org.example.designpatterns.decorator.interfaces.impl.CuentaAhorro;
import org.example.designpatterns.decorator.model.Cuenta;

public class App {
    public static void main(String[] args) {
        Cuenta c = new Cuenta(1, "Josue Ponte");

        ICuentaBancaria cuenta = new CuentaAhorro();
        ICuentaBancaria cuentaBlindada = new BlindajeDecorador(cuenta);

        cuenta.abrirCuenta(c);
        cuentaBlindada.abrirCuenta(c);
    }
}
