package org.example.designpatterns.factory;

import org.example.designpatterns.factory.interfaces.FactoryAbstract;
import org.example.designpatterns.factory.interfaces.IConnectionBD;
import org.example.designpatterns.factory.interfaces.IConnectionREST;
import org.example.designpatterns.factory.interfaces.impl.ConnectionMySQL;
import org.example.designpatterns.factory.interfaces.impl.ConnectionPostgreSQL;
import org.example.designpatterns.factory.interfaces.impl.ConnectionVacia;

public class ConnectionBDFactory implements FactoryAbstract {

    public IConnectionBD getBD(String motor) {
        if (motor == null)
            return new ConnectionVacia();
        if (motor.equalsIgnoreCase("MYSQL"))
            return new ConnectionMySQL();
        else if (motor.equalsIgnoreCase("POSTGRE"))
            return new ConnectionPostgreSQL();
        return new ConnectionVacia();
    }

    @Override
    public IConnectionREST getREST(String area) {
        return null;
    }
}
