package org.example.designpatterns.memento;

import org.example.designpatterns.memento.memento.Caretaker;
import org.example.designpatterns.memento.memento.Juego;
import org.example.designpatterns.memento.memento.Originator;

public class App {

    public static void main(String[] args) {
        String nombreJuego = "Crash Badicoot";

        Juego juego = new Juego();
        juego.setNombre(nombreJuego);
        juego.setCheckpoint(1);

        Caretaker caretaker = new Caretaker();
        Originator originator = new Originator();

        juego = new Juego();
        juego.setNombre(nombreJuego);
        juego.setCheckpoint(2);
        originator.setEstado(juego);

        juego = new Juego();
        juego.setNombre(nombreJuego);
        juego.setCheckpoint(3);
        originator.setEstado(juego);

        // ESTADO POSICION 0
        caretaker.addMemento(originator.guardar());

        juego = new Juego();
        juego.setNombre(nombreJuego);
        juego.setCheckpoint(4);
        originator.setEstado(juego);

        // ESTADO POSICION 1
        caretaker.addMemento(originator.guardar());

        juego = new Juego();
        juego.setNombre(nombreJuego);
        juego.setCheckpoint(5);
        originator.setEstado(juego);

        // ESTADO POSICION 2
        caretaker.addMemento(originator.guardar());

        originator.restaurar(caretaker.getMemento(2));

        juego = originator.getEstado();
        System.out.println(juego);
    }
}
