package org.example.designpatterns.observer.observer;

import java.util.ArrayList;
import java.util.List;

public class Subject {
    private List<Observer> observers = new ArrayList<>();
    private int estado;

    public int getEstado() {
        return estado;
    }

    public void setEstado(int estado) {
        this.estado = estado;
        notificarTodosObservadores();
    }

    public void agregar(Observer observer) {
        observers.add(observer);
    }

    private void notificarTodosObservadores() {
        for (Observer observer: observers) {
            observer.actualizar();
        }
    }
}
