package org.example.designpatterns.prototype.model;

import org.example.designpatterns.prototype.interfaces.ICuenta;

public class CuentaAHImpl implements ICuenta {

    private String tipo;
    private double monto;

    public CuentaAHImpl() {
        tipo = "AHORRO";
    }

    public String getTipo() {
        return tipo;
    }

    public void setTipo(String tipo) {
        this.tipo = tipo;
    }

    public double getMonto() {
        return monto;
    }

    public void setMonto(double monto) {
        this.monto = monto;
    }

    @Override
    public ICuenta clonar() {
        CuentaAHImpl cuentaAH = null;
        try {
            cuentaAH = (CuentaAHImpl) clone();
        } catch (CloneNotSupportedException e) {
            throw new RuntimeException(e);
        }
        return cuentaAH;
    }

    @Override
    public String toString() {
        return "CuentaAHImpl{" +
                "tipo='" + tipo + '\'' +
                ", monto=" + monto +
                '}';
    }
}
