package org.example.designpatterns.proxy;

import org.example.designpatterns.proxy.interfaces.ICuenta;
import org.example.designpatterns.proxy.interfaces.impl.CuentaBancoAImpl;
import org.example.designpatterns.proxy.interfaces.impl.CuentaBancoBImpl;
import org.example.designpatterns.proxy.model.Cuenta;
import org.example.designpatterns.proxy.proxy.CuentaProxy;

public class App {
    public static void main(String[] args) {
        Cuenta c = new Cuenta(1, "Josue Ponte", 10000);

        ICuenta cuentaProxy = new CuentaProxy(new CuentaBancoBImpl());
        cuentaProxy.mostrarSaldo(c);
        c = cuentaProxy.depositarDinero(c, 500);
        c = cuentaProxy.retirarDinero(c, 200);
        cuentaProxy.mostrarSaldo(c);
    }
}
