package org.example.designpatterns.strategy.strategy;

public class AntivirusAvanzado extends AnalisisAvanzado{
    @Override
    void iniciar() {
        System.out.println("Antivirus Simple - Análisis simple iniciado");
    }

    @Override
    void analizarMemoria() {
        try {
            System.out.println("Analizando Memoria RAM.....");
            Thread.sleep(1000);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    void analizarKeyLoggers() {
        try {
            System.out.println("Analizando en busca de KeyLoggers.....");
            Thread.sleep(1000);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    void analizarRootKits() {
        try {
            System.out.println("Analizando en busca de RootKits.....");
            Thread.sleep(1500);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    void descomprimirZip() {
        try {
            System.out.println("Analizando archivos '.zip'.....");
            Thread.sleep(2000);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    void detener() {
        System.out.println("Antivirus Simple - Análisis simple finalizado");
    }
}
